ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
ome::files::tiff::IFD::Impl Class Reference

Internal implementation details of OffsetIFD. More...

Collaboration diagram for ome::files::tiff::IFD::Impl:
[legend]

## Public Member Functions
| Impl (ome::compat::shared_ptr< TIFF > &tiff, offset_type offset)
| Constructor. More...
| ~Impl ()
| Destructor.

## Public Attributes
ome::compat::shared_ptr< TIFF > | tiff
| Reference to the parent TIFF.
offset_type | offset
| Offset of this IFD.
std::vector< TileCoverage > | coverage
| Tile coverage cache (used when writing).
TileCache | tilecache
| Tile cache (used when writing).
boost::optional< TileType > | tiletype
| Tile type.
boost::optional< uint32_t > | imagewidth
| Image width.
boost::optional< uint32_t > | imageheight
| Image height.
boost::optional< uint32_t > | tilewidth
| Tile width.
boost::optional< uint32_t > | tileheight
| Tile height.
boost::optional< PixelType > | pixeltype
| Pixel type.
boost::optional< uint16_t > | bits
| Bits per sample.
boost::optional< uint16_t > | samples
| Samples per pixel.
boost::optional< PlanarConfiguration > | planarconfig
| Planar configuration.
boost::optional< PhotometricInterpretation > | photometric
| Photometric interpretation.
tstrile_t | ctile
| Current tile (for writing).

## Private Member Functions
| Impl (const Impl &)
| Copy constructor (deleted).
Impl & | operator= (const Impl &)
| Assignment operator (deleted).

## Detailed Description

Internal implementation details of OffsetIFD.

## Constructor & Destructor Documentation

ome::files::tiff::IFD::Impl::Impl | ( | ome::compat::shared_ptr< TIFF > & | tiff,
|  | offset_type | offset
| ) |  |
| inline

Constructor.

Parameters

  tiff | the parent TIFF.
  offset | the IFD offset.

The documentation for this class was generated from the following file:

- ome/files/tiff/IFD.cpp